Core - Bug # 60316

Status: Resolved Priority: Should have

Author: Alexander Schnitzler Category: rtehtmlarea

Created: 2014-07-14 Assigned To: Helmut Hummel
Updated: 2014-07-24 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity:

Is Regression: No

Sprint Focus:

Subject: Parsing RTE links should not throw an exception if a resource is missing or its path invalid

Description

Related issues:
related to Core - Bug # 46785: FileDoesNotExistException

Resolved 2013-03-29

Associated revisions

Revision f9f4b492 - 2014-07-24 08:15 - Helmut Hummel

[BUGFIX] Catch all resource exceptions when parsing RTE links

The RteHtmlIParser checks for valid links by trying to retrieve
a file or folder object. The FAL API will throw exceptions

if anything goes wrong with the given path.

Catch all these exceptions to ignore the invalid link
and act the same for invalid paths as for not found files/ folders

Releases: 6.2, 6.3

Resolves: #60316

Change-Id: 10752678eb8ed2b596¢c3a88536d957ec35¢172d7b
Reviewed-on: http://review.typo3.org/31619

Reviewed-by: Alexander Schnitzler <typo3@alexanderschnitzler.de>

Tested-by: Alexander Schnitzler <typo3@alexanderschnitzler.de>

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Revision b4aa2ff0 - 2014-07-24 08:15 - Helmut Hummel
[BUGFIX] Catch all resource exceptions when parsing RTE links
The RteHtmlIParser checks for valid links by trying to retrieve

a file or folder object. The FAL API will throw exceptions

if anything goes wrong with the given path.

Catch all these exceptions to ignore the invalid link
and act the same for invalid paths as for not found files/ folders

Releases: 6.2, 6.3
Resolves: #60316
Change-Id: 10752678eb8ed2b596c3a88536d957ec35¢172d7b
Reviewed-on: http://review.typo3.org/31745

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

History

#1 - 2014-07-15 00:25 - Helmut Hummel

Steps to reproduce:

1. Create tt_content text element

2. Disable RTE

3. put the following into the bodytext field and save

<link ../fileadmin/foo>bar</link>

4. enable RTE and quit
5. open this element again

#2 - 2014-07-15 00:31 - Helmut Hummel

- File exception.png added

Steps to reproduce:

1. Create tt_content text element

2. Disable RTE

3. put the following into the bodytext field and save

<link ../fileadmin/foo>bar</link>

4. enable RTE and quit

5. open this element again

#3 - 2014-07-24 08:15 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/31745

#4 - 2014-07-24 08:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f9f4b49255d3ac19eeb4e1942324466e5d34ec5c.
